com.google.cloud.dataflow.sdk.runners

## Class DataflowPipelineRegistrar

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.DataflowPipelineRegistrar

    public class DataflowPipelineRegistrar
    extends Object

Contains the `PipelineOptionsRegistrar` and `PipelineRunnerRegistrar` for the `DataflowPipeline`.

### Nested Class Summary

Nested Classes
`static class` `DataflowPipelineRegistrar.Options` Register the `DataflowPipelineOptions` and `BlockingDataflowPipelineOptions`.
`static class` `DataflowPipelineRegistrar.Runner` Register the `DataflowPipelineRunner` and `BlockingDataflowPipelineRunner`.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`